# puzzle-scoreboard-extension

Browser extension for managing a puzzle contest from a Google Meet tab: https://puzzle-scoreboard.org.

This extension is only allowed to inject code in Google Meet pages (cf the `manifest.json` file).
It stores the following information in the local extension storage of the browser:
- start and end times of the current contest
- messages with timestamps that got sent during the contest

There's a button to delete all those data once the contest ended.

## Installation

To install the extension, you'll first need to download the code. Click on `Code`, then download an archive as ZIP or TAR.GZ, and extract it in some directory on your machine.

To install on chromium-based browsers (Google Chrome, Brave, ...):

1. Click on the extension button in your toolbar (the puzzle icon), or visit `chrome://extensions`
2. Click on `Manage extensions`
3. Click on the `Developer mode` switch on the top-right corner of the page
4. Click on `Load unpacked` button on the top-left corner of the page
5. Select the directory where you downloaded the code

To install on gecko-based browsers (Mozilla Firefox, LibreWolf, ...):

TODO: need to make this extension gecko-compatible.

## Usage

Once you have installed the extension in your favorite browser, click again on the puzzle icon in your toolbar to open it (you can also pin it so that it appear in the toolbar).

That's it!
